package dtu.library.ui;

import java.io.IOException;

import org.junit.Test;

public class TestMainscreenExit extends UtilitiesForTestingUI {
	/** 
	 * Tests that the main menu has an exit option and that selecting the
	 * exit option results in true being returned from the processSelection method.
	 * @throws IOException
	 */
	@Test
	public void testTestExitApplication1() throws IOException {
		LibraryUI libraryUI = new LibraryUI();
		testScreenInteraction(libraryUI, "0) Exit", "0", "Exited.",true);
	}
	
	/** 
	 * Tests that a wrong input to the menu results in a "Wrong selection; please repeat." output, and
	 * that the exit status is still false.
	 * @throws IOException
	 */
	@Test
	public void testTestExitApplication2() throws IOException {
		LibraryUI libraryUI = new LibraryUI();
		testScreenInteraction(libraryUI, "0) Exit", "100", "Wrong selection; please repeat.",false);
	}
}
